# Generated from rb_maxima-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rb_maxima

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: A gem that allows for mathematical calculations using the open source Maxima library!
License: MIT
URL: https://github.com/Danieth/rb_maxima
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(guard) >= 2.0
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(pry-nav) >= 0.2
# BuildRequires: rubygem(pry-nav) < 1
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Ruby developers have, for as long as I can remember, had a disheveled heap of
scientific and mathematical libraries - many of which operate in pure ruby
code. Given a problem we either kludge together some cobbled mess or turn to
Python/R/etc. And to this I say no more! rb_maxima allows a ruby developer to
directly leverage the unbridled power of the open source, lisp powered,
computer algebra system that is Maxima!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 1.1.0-1
- Initial package
